Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# FactoryC Class Reference

Plugin class factory class. More...

`#include <FactoryC.h>`

List of all members.

## Public Member Functions
| FactoryC ()
| Default constructor.
virtual | ~FactoryC ()
| Default destructor.
virtual void | load_plugins (const char *szDir)
| Loads plugins from specified directory (used internally).
virtual void | register_class (ClassDescC *pClass)
| Registers a plugins class.
virtual void * | create (const ClassIdC &rClassId)
| Creates new instance of class specified by class ID and returns the class.
virtual PajaTypes::uint32 | get_classdesc_count ()
| Returns number of class descriptors.
virtual ClassDescC * | get_classdesc (PajaTypes::uint32)
| Returns pointer to a class descriptor of specified index.
virtual ClassDescC * | get_classdesc (const ClassIdC &rClassId)
| Returns pointer to a class descriptor of specified class ID, NULL id not found.
virtual const char * | get_classdesc_dll_name (PajaTypes::uint32)
| Returns file name of the DLL where the class descriptor of specified index has loaded.

## Detailed Description

Plugin class factory class.

The class factory is used to create plugin classes. Different plugin classes are created based on their class IDs. Each plugin class has unique class ID.

See also:
  ClassIdC

## Constructor & Destructor Documentation

FactoryC | ( |  | ) |

| Default constructor.

virtual ~FactoryC | ( |  | ) | `[virtual]`

| Default destructor.

## Member Function Documentation

virtual void* create | ( | const ClassIdC & | rClassId | ) | `[virtual]`

| Creates new instance of class specified by class ID and returns the class.

virtual ClassDescC* get_classdesc | ( | const ClassIdC & | rClassId | ) | `[virtual]`

| Returns pointer to a class descriptor of specified class ID, NULL id not found.

virtual ClassDescC* get_classdesc | ( | PajaTypes::uint32 |  | ) | `[virtual]`

| Returns pointer to a class descriptor of specified index.

virtual PajaTypes::uint32 get_classdesc_count | ( |  | ) | `[virtual]`

| Returns number of class descriptors.

virtual const char* get_classdesc_dll_name | ( | PajaTypes::uint32 |  | ) | `[virtual]`

| Returns file name of the DLL where the class descriptor of specified index has loaded.

virtual void load_plugins | ( | const char * | szDir | ) | `[virtual]`

| Loads plugins from specified directory (used internally).

virtual void register_class | ( | ClassDescC * | pClass | ) | `[virtual]`

| Registers a plugins class.